package cn.iocoder.yudao.module.delivery.service;

import cn.iocoder.yudao.module.delivery.entity.SalesReportCusTarget;
import cn.iocoder.yudao.module.delivery.entity.SalesReportReq;
import cn.iocoder.yudao.module.delivery.entity.SalesReportResp;
import cn.iocoder.yudao.module.delivery.entity.SalesReportRespShow;
import cn.iocoder.yudao.module.delivery.entity.bar.CustomerReportBar;

import java.text.ParseException;
import java.util.List;

public interface SalesReportService {

    /*
     总值统计
     */
    SalesReportResp SalesReportCount(SalesReportReq Req)
            throws ParseException;

    /*
    海运统计
    */
    SalesReportResp SalesReportCountSea(SalesReportReq Req)
            throws ParseException;

    /*
     空运统计
     */
    SalesReportResp SalesReportCountAir(SalesReportReq Req)
            throws ParseException;


    SalesReportCusTarget FirstCustomerCount(SalesReportReq Req) throws ParseException;


    /*
     统计一段时间内客户成交数目，出重客户
     lanbm 2024-05-09 add
     */
    SalesReportCusTarget CustomerTargetCount(SalesReportReq Req) throws ParseException;

    /*
     获取统计图表数据
     lanbm 2024-05-14 add
     */
    CustomerReportBar getCustomerReportBar(SalesReportReq Req) throws ParseException;


}
